Unable to launch 1.4.0 beta

Post Reply
eric7237cire
Private First Class - Opel Blitz
Private First Class - Opel Blitz
Posts: 3
Joined: Tue Aug 02, 2022 6:10 am

Unable to launch 1.4.0 beta

Post by eric7237cire »

Hello,

I tried to use the beta (version 1.4.0) in steam, but when launching it, it gave me a dialog popup saying something along the lines of this version has expired.

Is there an alternative way to get the beta, or something I can do to fix the above problem?

It'd be nice to get those UI improvements and fixes. It did seem weird my dreadnaughts could teleport :)

--Eric
pipfromslitherine
Site Admin
Site Admin
Posts: 9506
Joined: Wed Mar 23, 2005 10:35 pm

Re: Unable to launch 1.4.0 beta

Post by pipfromslitherine »

The beta has been updated during its release, so we weren't able to release it across all storefronts. We will get a new version up asap. Sorry for the confusion.

Cheers

Pip
follow me on Twitter here
eric7237cire
Private First Class - Opel Blitz
Private First Class - Opel Blitz
Posts: 3
Joined: Tue Aug 02, 2022 6:10 am

Re: Unable to launch 1.4.0 beta

Post by eric7237cire »

No worries. Do you have an ETA when the updated beta will be released on steam?
pipfromslitherine
Site Admin
Site Admin
Posts: 9506
Joined: Wed Mar 23, 2005 10:35 pm

Re: Unable to launch 1.4.0 beta

Post by pipfromslitherine »

It's not likely going to go out until mid next week at the earliest. Sorry for the oversight, but we are hopefully close to a new version.

Cheers

Pip
follow me on Twitter here
Mangoose
Private First Class - Wehrmacht Inf
Private First Class - Wehrmacht Inf
Posts: 9
Joined: Tue Apr 04, 2017 11:57 pm

Re: Unable to launch 1.4.0 beta

Post by Mangoose »

I just downloaded this earlier today.

Why is it even available?
pipfromslitherine
Site Admin
Site Admin
Posts: 9506
Joined: Wed Mar 23, 2005 10:35 pm

Re: Unable to launch 1.4.0 beta

Post by pipfromslitherine »

That's a fair point. I will ask the guys to hide it.

Cheers

Pip
follow me on Twitter here
pipfromslitherine
Site Admin
Site Admin
Posts: 9506
Joined: Wed Mar 23, 2005 10:35 pm

Re: Unable to launch 1.4.0 beta

Post by pipfromslitherine »

That's a fair point. I will ask the guys to hide it.

Cheers

Pip
follow me on Twitter here
HurinTheCursed
Private First Class - Opel Blitz
Private First Class - Opel Blitz
Posts: 1
Joined: Thu Jun 02, 2022 10:35 pm

Re: Unable to launch 1.4.0 beta

Post by HurinTheCursed »

Hello, I also have this "version has expired, please download the latest version" problem for several weeks while I didn't change the version of the game.
I can't load my save and I fear if I start a new campaign I won't be able to resume it once you fix the bug above.
How is the bug fix going ?
Best regards,
Guillaume
pipfromslitherine
Site Admin
Site Admin
Posts: 9506
Joined: Wed Mar 23, 2005 10:35 pm

Re: Unable to launch 1.4.0 beta

Post by pipfromslitherine »

You should be able to continue any games started with the beta once a new version comes out. This should also apply to campaigns started on the current release version too.

The only snag might be if the ability bug causes any issues with saves from the beta version. We won't know that until the new beta version gets into the wild.

Cheers

Pip
follow me on Twitter here
Post Reply

Return to “Sanctus Reach Tech Support”